Bug 1256448 - NodeJS and the associated NPM modules are outdated
NodeJS and the associated NPM modules are outdated
Status: CLOSED DUPLICATE of bug 1238572
Product: Red Hat Software Collections
Classification: Red Hat
Component: nodejs (Show other bugs)
nodejs010
Unspecified Unspecified
unspecified Severity unspecified
: alpha
: 2.1
Assigned To: Zuzana Svetlikova
Miroslav Hradílek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-24 11:18 EDT by Keith Robertson
Modified: 2016-07-03 21:35 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-11 15:46:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Required NPM Packages. (33.73 KB, text/plain)
2015-08-24 11:19 EDT, Keith Robertson
no flags Details
Production Dependencies (14.80 KB, text/plain)
2015-08-31 10:25 EDT, Connor Hindley
no flags Details

  None (edit)
Description Keith Robertson 2015-08-24 11:18:12 EDT
Description of problem:
NodeJS and the NPM modules in the SCL are wildly outdated.  This BZ requests that...

1) NodeJS be updated to v0.12.7+
2) The the NPM modules listed in the attached depgraph.txt be either added to the SCL or updated to the version shown in depgraph.txt
Comment 1 Keith Robertson 2015-08-24 11:19:40 EDT
Created attachment 1066480 [details]
Required NPM Packages.
Comment 2 Connor Hindley 2015-08-31 10:25:46 EDT
Created attachment 1068661 [details]
Production Dependencies
Comment 3 Connor Hindley 2015-08-31 10:37:20 EDT
I have attached an updated dep list.

These are modules that we depend on for our production build.


The big ones I am looking for would be an updated (4.x) version of express, and some sort of ORM. We have been using and been happy with Sequelize, but would be open at looking at other ORMs.

In our dep list, there are a few deps that have pretty deep nested deps.

Glaring ones are sequelize-cli and got. We should be able to find smaller libraries to accomplish what we need.

Also, the logic in rh-node-utils (which is our module) can be moved into insights itself and kill some of related dependancies.

Note You need to log in before you can comment on or make changes to this bug.